#include <stdio.h>
#include <stdlib.h>
int main()
{
    long n,k,t,i,j,maks1,maks2,maks,s=0;
    scanf("%ld",&n);
    long a[n];
    maks1=-1;
    for(i=0;i<n;i++)
    {
        scanf("%ld",&a[i]);
        if(a[i]>maks1)
        {
            maks1=a[i];
        }
    }

    for(i=0;i<n;i++)
    {
        maks=a[i];
        t=0;
        for(j=i+1;j<n;j++)
        {
           if(a[j]>maks)
           {
               maks=a[j];
               maks1=j;
            }
        }
        if(maks!=a[i])
        {
            a[maks1]=a[i];
            a[i]=maks;
            t=1;
        }
        if(t==1) i=n;

    }
    if(t==0)
    {
        t=a[n-1];
        a[n-1]=a[n-2];
        a[n-2]=t;
    }
    for(i=0;i<n;i++)
    {
        printf("%d ",a[i]);
    }
    return 0;
}